%define name    freebirth
%define version 0.3.2
%define release 1

%define	desktop_vendor	startcom
%define desktop_utils   %(if which desktop-file-install &>/dev/null ; then echo "yes" ; fi)

Summary:      Software bass synthesizer/ step sequencer/ sample player
Name:         %{name}
Version:      %{version}
Release:      %{release}
License:      GPL
Group:        Applications/Multimedia
URL:          http://www.bitmechanic.com/projects/freebirth
Source0:      %{name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot

BuildRequires: gtk+-devel 

%description
Freebirth is a free software bass synthesizer/ step sequencer/ sample
player for linux. It consists of a bass synthesizer vaguely 303ish but
in my opinion, it has much more sonic capability such as:
    * three oscillators (saw, sin , sqr)
    * phase offsets for each oscillator.
    * separate filter and amplitude envelopes.
    * seperate tuning for each oscillator
    * two effects busses (reverb and delay) 

%prep
%setup -q

%build
# change location of samples
perl -pi -e 's|\".\"|\"%{_datadir}/freebirth\"|g;' raw_wave.h
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/raw

tar cvf - raw | (cd $RPM_BUILD_ROOT%{_datadir}/%{name}; tar xvpf -)
install -m 0755 freebirth $RPM_BUILD_ROOT%{_bindir}

#--- desktop entry
cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=Freebirth
Comment=Software bass synthesizer/ step sequencer/ sample player
Icon=
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF
%if "%{desktop_utils}" == "yes"
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
    --add-category X-StartCom-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia
  install %{desktop_vendor}-%{name}.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES COPYING INSTALL NEXT_VERSION README
%{_bindir}/%{name}
%{_datadir}/%{name}/raw
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/*%{name}.desktop
%else
%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif

%changelog
* Mon Apr 17 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
* Mon May 30 2005 Eddy Nigg <eddy_nigg@startcom.org>
- more changes for StartCom Linux 4.0.x

* Tue May 11 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added buildrequires
* Sat Nov  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.3-1
- added release tags, spec file tweaks
* Thu Feb 27 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.3-1
- initial build.
